package com.peetz.library.dal;

import java.util.List;

import javax.ejb.Local;

import com.peetz.library.entity.BookshelfEntity;


@Local
public interface BookshelfDao {
	public BookshelfEntity getById(Long id);
	
	public List<BookshelfEntity> findByIds(List<Long> ids);
	
	public List<BookshelfEntity> findByTitle(String title);
	
	public BookshelfEntity store(BookshelfEntity entity);
	
	public void delete(BookshelfEntity entity);

}
